package com.loan.system.service;

import com.loan.system.domain.dto.ApprovalDTO;
import com.loan.system.domain.dto.ApprovalRecordDTO;
import com.loan.system.domain.dto.RepaymentRecordDTO;
import com.loan.system.domain.entity.Repayment;
import com.loan.system.domain.vo.RepaymentRecordVO;

import java.util.List;

public interface RepaymentRecordService {
    void addRepaymentRecord(RepaymentRecordDTO repaymentRecordDTO, Long id);

    List<RepaymentRecordVO> findByRepaymentIdAndIsDelete(Long repaymentId, boolean b);

    void updateApprovalById(String comments, String decision, Long id);

    void updateRepaymentRecordById(RepaymentRecordDTO repaymentRecordDTO, Long recordId);
}
